#NONAMEFORCOMMIT
%define		PYVER		2.6
%define		__python	python%{PYVER}
%define		PVER		%(echo %{PYVER} | awk -F. '{print$1$2}')
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%define		original_name	scipy

Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Summary:	Scientific Tools for Python
Name:		python%{PVER}-%{original_name}
Version:	0.8.0
Release:	1
License:	GNU/LGPL
URL:		http://www.scipy.org/
Group:		Development/Libraries
Source0:	%{original_name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686
Requires:	python%{PVER}
BuildRequires:	python%{PVER}-devel
BuildRequires:	python%{PVER}-setuptools
BuildRequires:	python%{PVER}-nose
BuildRequires:  python%{PVER}-numpy
BuildRequires:	lapack
BuildRequires:	fftw-devel
BuildRequires:	glibc-devel
BuildRequires:	gcc-gfortran

Provides:	scipy = %{version}-%{release}
Obsoletes:	scipy <= %{version}-%{release}
Obsoletes:	python25-scipy <= %{version}-%{release}

%description
SciPy (pronounced "Sigh Pie") is open-source software for mathematics, science, and engineering. It is also the name of a very popular conference on scientific programming with Python. The SciPy library depends on NumPy, which provides convenient and fast N-dimensional array manipulation. The SciPy library is built to work with NumPy arrays, and provides many user-friendly and efficient numerical routines such as routines for numerical integration and optimization. Together, they run on all popular operating systems, are quick to install, and are free of charge. NumPy and SciPy are easy to use, but powerful enough to be depended upon by some of the world's leading scientists and engineers. If you need to manipulate numbers on a computer and display or publish the results, give SciPy a try!

%prep
%setup -q -n %{original_name}-%{version}

FIX=$(find -type f -name "*" -exec grep -I -l -e "^#!/usr/bin/python" -e "^#!/usr/bin/env python" "{}" \; )
for i in $FIX; do
    sed -i "s,^#!/usr/bin/python,#!/usr/bin/python%{PYVER}," $i
    sed -i "s,^#!/usr/bin/env python,#!/usr/bin/env python%{PYVER}," $i
done

%build
env FFTW=%{_libdir} BLAS=%{_libdir} LAPACK=%{_libdir} \
    CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

%install
rm -Rf $RPM_BUILD_ROOT

env FFTW=%{_libdir} BLAS=%{_libdir} LAPACK=%{_libdir} \
    CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py install --root=$RPM_BUILD_ROOT

%clean
rm -Rf $RPM_BUILD_ROOT
rm -Rf $RPM_BUILD_DIR/%{original_name}*

%files
%defattr(-,root,root,-)
%{_libdir}/python2.6/site-packages/scipy-0.8.0-py2.6.egg-info
%{_libdir}/python2.6/site-packages/scipy

%changelog
* Thu Sep 30 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.8.0-1
- Initial CCux package release
